## testresources 0.1

=== Makefile ===
PYTHONPATH:=$(shell pwd)/lib:${PYTHONPATH}

all:

check:
	PYTHONPATH=$(PYTHONPATH) python ./test_all.py $(TESTRULE)

.PHONY: all

## testresources 0.2

=== Makefile ===
PYTHONPATH:=$(shell pwd)/lib:${PYTHONPATH}

all:

check:
	PYTHONPATH=$(PYTHONPATH) python ./test_all.py $(TESTRULE)

clean:
	find . -name '*.pyc' -print0 | xargs -0 rm -f

TAGS: lib/testresources/*.py lib/testresources/tests/*.py
	ctags -e -R lib/testresources/

tags: lib/testresources/*.py lib/testresources/tests/*.py
	ctags -R lib/testresources/

.PHONY: all check clean

## testresources 0.2.7

=== debian/changelog ===
testresources (0.2.7-4) unstable; urgency=medium

  * Drops useless build-depends on python-docutils (Closes: #635275).

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Apr 2014 18:45:55 +0800

testresources (0.2.7-3) unstable; urgency=medium

  * Correct debian/copyright (Closes: #742620).
  * Removed now useless Conflict / Replaces.

 -- Thomas Goirand <zigo@debian.org>  Sat, 19 Apr 2014 09:56:11 +0800

testresources (0.2.7-2) unstable; urgency=medium

  * Sets PKG OpenStack <openstack-devel@lists.alioth.debian.org> as maintainer,
    and Robert Collins and myself as uploader.
  * Bumps compat and debhelper to version 9.
  * Ran wrap-and-sort.
  * Using dh_python{2,3} and debhelper short style instead of CDBS and the now
    deprecated python-support.
  * Added Python 3 support.
  * Bump Standards-Version to 3.9.5
  * Added Vcs and Homepage fields.
  * debian/copyright in parseable format 1.0.
  * Switched to 3.0 (quilt) format, and added extend-diff-ignore =
    "^[^/]*[.]egg-info/" in debian/source/options.
  * Added a watch file (tracking version on pypi).
  * Runs nosetests / nosetests3 on build.

 -- Thomas Goirand <zigo@debian.org>  Mon, 24 Mar 2014 19:01:35 +0800

testresources (0.2.7-1) unstable; urgency=low

  * New upstream release
  * Build-depend on python-setuptools and python-fixtures
  * Bump Standards-Version to 3.9.4

 -- Free Ekanayaka <freee@debian.org>  Thu, 20 Jun 2013 09:57:19 +0200

testresources (0.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sat, 27 Feb 2010 10:04:22 +1100

testresources (0.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 24 Jan 2010 15:53:11 +1100

testresources (0.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Robert Collins <robertc@robertcollins.net>  Tue, 05 Jan 2010 17:05:34 +1100

testresources (0.2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #560567)

 -- Robert Collins <robertc@robertcollins.net>  Sat, 12 Dec 2009 23:14:29 +1100

testresources (0.2-1) unstable; urgency=low

  * Incorporate Ubuntu uploads and Debian NMU's.
  * Convert CDBS patch to merge from trunk.

 -- Robert Collins <robertc@robertcollins.net>  Sun, 20 Sep 2009 17:19:22 +1000

testresources (0.2-0ubuntu2) karmic; urgency=low

  [ Elliot Murphy ]
  * Fix a crash with tearing down test suites when the result is not
    available. (Closes: #409405)

  [ Alessio Treglia ]
  * Bump Standards to 3.8.3:
    - Add ${misc:Depends} macro to Depends field.
  * Bump debhelper,cdbs build-dependencies (as per Python New policy).

 -- Elliot Murphy (personal) <elliot@ubuntu.com>  Tue, 18 Aug 2009 14:55:07 +0200

testresources (0.2-0ubuntu1) karmic; urgency=low

  [ Elliot Murphy ]
  * New upstream release with many bugfixes (Closes: #406413).

  [ James Westby ]
  * Add python-testtools to Build-Depends-Indep as it is needed by the
    testsuite.

 -- Elliot Murphy (personal) <elliot.murphy@gmail.com>  Wed, 29 Jul 2009 10:45:34 -0400

testresources (0.1-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update for new python policy (Closes: #380970).
  * Run make check instead of ./test_all.py (Closes: #394239).
  * Move from section devel to section python.
  * Clean up package description to make lintian happy.
  * Remove spurios debian/NEWS file.
  * Bump Standards Version to 3.7.3. (No changes needed).

 -- Barry deFreese <bddebian@comcast.net>  Wed, 23 Jan 2008 17:22:42 -0500

testresources (0.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * setup.py, test_all.py: Use python2.4 as the interpreter.
    Closes: #358403.
  * Move build dependencies used in the clean target to Build-Depends.
  * Build depend on debhelper (>= 5) since we use v5 mode.

 -- Matej Vela <vela@debian.org>  Fri, 19 May 2006 12:58:19 -0500

testresources (0.1-1) unstable; urgency=low

  * Initial release. Closes: #353378

 -- Robert Collins <robertc@robertcollins.net>  Wed, 15 Feb 2006 12:36:57 +1100

=== debian/control ===
Source: testresources
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Robert Collins <robertc@robertcollins.net>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-fixtures,
               python-nose,
               python-setuptools,
               python-testtools,
               python3-all (>= 3.2),
               python3-fixtures,
               python3-nose,
               python3-setuptools,
               python3-testtools
Build-Depends-Indep: python-fixtures, python-testtools
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/testresources.git
Vcs-Git: git://anonscm.debian.org/openstack/testresources.git
Homepage: https://pypi.python.org/pypi/testresources

Package: python-testresources
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: PyUnit extension for managing expensive test fixtures - Python 2.x
 PyUnit extension to manage the initialisation and lifetime of expensive
 test fixtures.
 .
 For example reference databases are often only need to be constructed
 once but standard test isolation causes them to be constructed for every
 fixture, making test execution very slow.
 .
 This package provides the Python 2.x module.

Package: python3-testresources
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: PyUnit extension for managing expensive test fixtures - Python 3.x
 PyUnit extension to manage the initialisation and lifetime of expensive
 test fixtures.
 .
 For example reference databases are often only need to be constructed
 once but standard test isolation causes them to be constructed for every
 fixture, making test execution very slow.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-testresources; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-testresources; \
	done

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nosetests
	nosetests3
endif

override_dh_clean:
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/t/testresources/testresources-(.*)\.tar\.gz

## testresources 1.0.0

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all:
 
 check:
-	PYTHONPATH=$(PYTHONPATH) python ./test_all.py $(TESTRULE)
+	PYTHONPATH=$(PYTHONPATH) python -m testtools.run discover .
 
 clean:
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
@@ -14,4 +14,7 @@
 tags: lib/testresources/*.py lib/testresources/tests/*.py
 	ctags -R lib/testresources/
 
+release:
+	python setup.py sdist upload bdist_wheel --sign
+
 .PHONY: all check clean

=== debian/changelog ===
testresources (1.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Added missing runtime depends on python-pbr (Closes: #842341).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Dec 2016 11:36:29 +0100

testresources (1.0.0-3) unstable; urgency=medium

  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

 -- Ondřej Nový <onovy@debian.org>  Mon, 26 Sep 2016 19:18:11 +0200

testresources (1.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * Removing testBasicSortTests() instead of excluding it with a nosetest
    parameter (Closes: #834964).
  * Updated VCS URLs to use OpenStack Gerrit.
  * Added a .gitreview file.
  * Standards-Version: 3.9.8 (no change).
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Sep 2016 18:36:57 +0200

testresources (1.0.0-1) unstable; urgency=medium

  * New upstream release:
    - Fixes FTBFS in Sid (Closes: #808688)
  * Switched to git tag packaging workflow.
  * Added export OSLO_PACKAGE_VERSION for pbr.
  * watch file now using github tag.
  * ran wrap-and-sort -t -a
  * Standards-Version is now 3.9.6 (no change)
  * Using -v flag when calling nosetests{3,}
  * Do not run undeterministic test:
    - test_optimising_test_suite.TestGraphStuff.testBasicSortTests
  * Removed reference to lib/testresources/tests/TestUtil.py in
    debian/copyright (the file doesn't exist upstream anymore).

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Dec 2015 14:59:37 +0000

=== debian/control ===
Source: testresources
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Robert Collins <robertc@robertcollins.net>,
Build-Depends: debhelper (>= 10),
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 1.3),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.3),
               python3-setuptools,
Build-Depends-Indep: python-fixtures,
                     python-nose,
                     python-testtools,
                     python-unittest2,
                     python3-fixtures,
                     python3-nose,
                     python3-testtools,
                     python3-unittest2,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-testresources?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-testresources -b debian/newton
Homepage: https://pypi.python.org/pypi/testresources

Package: python-testresources
Architecture: all
Depends: python-pbr (>= 1.3),
         python-unittest2,
         ${misc:Depends},
         ${python:Depends},
Description: PyUnit extension for managing expensive test fixtures - Python 2.x
 PyUnit extension to manage the initialisation and lifetime of expensive
 test fixtures.
 .
 For example reference databases are often only need to be constructed
 once but standard test isolation causes them to be constructed for every
 fixture, making test execution very slow.
 .
 This package provides the Python 2.x module.

Package: python3-testresources
Architecture: all
Depends: python3-pbr (>= 1.3),
         python3-unittest2,
         ${misc:Depends},
         ${python3:Depends},
Description: PyUnit extension for managing expensive test fixtures - Python 3.x
 PyUnit extension to manage the initialisation and lifetime of expensive
 test fixtures.
 .
 For example reference databases are often only need to be constructed
 once but standard test isolation causes them to be constructed for every
 fixture, making test execution very slow.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -3,23 +3,28 @@
 PYTHONS:=$(shell pyversions -vr)
 PYTHON3S:=$(shell py3versions -vr)
 
+UPSTREAM_GIT := https://github.com/testing-cabal/testresources.git
+include /usr/share/openstack-pkg-tools/pkgos.make
+
+export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)
+
 %:
 	dh $@ --buildsystem=python_distutils --with python2,python3
 
 override_dh_auto_install:
-	set -e && for pyvers in $(PYTHONS); do \
+	set -e ; for pyvers in $(PYTHONS); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python-testresources; \
 	done
-	set -e && for pyvers in $(PYTHON3S); do \
+	set -e ; for pyvers in $(PYTHON3S); do \
 		python$$pyvers setup.py install --install-layout=deb \
 			--root $(CURDIR)/debian/python3-testresources; \
 	done
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	nosetests
-	nosetests3
+	nosetests -v
+	nosetests3 -v
 endif
 
 override_dh_clean:

## testresources 2.0.0

=== debian/changelog ===
testresources (2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*

  [ Thomas Goirand ]
  * Add missing dh-python build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 16:55:00 +0200

testresources (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Some clean-up in debian/rules.
  * VCS URLs now point to salsa.
  * Ran wrap-and-sort -bast.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 09:06:12 +0100

=== debian/control ===
Source: testresources
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Robert Collins <robertc@robertcollins.net>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 1.3),
 python-setuptools,
 python3-all,
 python3-pbr (>= 1.3),
 python3-setuptools,
Build-Depends-Indep:
 python-fixtures,
 python-nose,
 python-testtools,
 python-unittest2,
 python3-fixtures,
 python3-nose,
 python3-testtools,
 python3-unittest2,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/testresources
Vcs-Git: https://salsa.debian.org/openstack-team/python/testresources.git
Homepage: https://pypi.python.org/pypi/testresources

Package: python-testresources
Architecture: all
Depends:
 python-pbr (>= 1.3),
 python-unittest2,
 ${misc:Depends},
 ${python:Depends},
Description: PyUnit extension for managing expensive test fixtures - Python 2.x
 PyUnit extension to manage the initialisation and lifetime of expensive
 test fixtures.
 .
 For example reference databases are often only need to be constructed
 once but standard test isolation causes them to be constructed for every
 fixture, making test execution very slow.
 .
 This package provides the Python 2.x module.

Package: python3-testresources
Architecture: all
Depends:
 python3-pbr (>= 1.3),
 python3-unittest2,
 ${misc:Depends},
 ${python3:Depends},
Description: PyUnit extension for managing expensive test fixtures - Python 3.x
 PyUnit extension to manage the initialisation and lifetime of expensive
 test fixtures.
 .
 For example reference databases are often only need to be constructed
 once but standard test isolation causes them to be constructed for every
 fixture, making test execution very slow.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/testing-cabal/testresources.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	nosetests -v
	nosetests3 -v
endif

override_dh_clean:
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev:
override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons:
override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/testing-cabal/testresources/tags .*/(\d[\d\.]+)\.tar\.gz

## testresources 2.0.1

=== requirements.txt ===
pbr>=1.8

=== debian/changelog ===
testresources (2.0.1-5) unstable; urgency=medium

  * Remove {build,}-depedency on obsolete python3-unittest2 (Closes: #1059888).

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Apr 2024 10:23:21 +0200

testresources (2.0.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix test failures with Python 3.12 (Olivier Gayot). Closes: #1056533.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Dec 2023 08:41:08 +0100

testresources (2.0.1-4) unstable; urgency=medium

  * Remove nose from build-depends (Closes: #1018648).
  * Add autopkgtest.
  * Add Rules-Requires-Root: no.

 -- Thomas Goirand <zigo@debian.org>  Mon, 17 Oct 2022 12:22:49 +0200

testresources (2.0.1-3) unstable; urgency=medium

  [ Stefano Rivera ]
  * Patch: Python 3.10 support (Closes: #997361).

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Dec 2021 23:58:32 +0100

testresources (2.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:08:01 +0200

testresources (2.0.1-1) experimental; urgency=medium

  * New upstream release.
  * debhelper-compat (= 11).
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 14:05:44 +0200

testresources (2.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Use debhelper-compat instead of debian/compat.

  [ Mattia Rizzolo ]
  * Remove Robert Collins from uploader, as he has retired.  Closes: #920505

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938653

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Jan 2020 14:02:41 -0500

=== debian/control ===
Source: testresources
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python3-fixtures,
 python3-testtools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/python/testresources
Vcs-Git: https://salsa.debian.org/openstack-team/python/testresources.git
Homepage: https://pypi.python.org/pypi/testresources
Rules-Requires-Root: no

Package: python3-testresources
Architecture: all
Depends:
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Description: PyUnit extension for managing expensive test fixtures - Python 3.x
 PyUnit extension to manage the initialisation and lifetime of expensive
 test fixtures.
 .
 For example reference databases are often only need to be constructed
 once but standard test isolation causes them to be constructed for every
 fixture, making test execution very slow.
 .
 This package provides the Python 3.x module.

## testresources 2.0.2

=== debian/changelog ===
testresources (2.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Removed remove-non-deterministic-ftbfs-testBasicSortTests.patch.
  * Removed python3.10.patch and python3.12.patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Feb 2026 16:03:19 +0100
